package com.tzld.piaoquan.recommend.server.framework.merger;


import lombok.Data;

import java.util.*;


/**
 * 每一个召回 or 队列的融合配置信息
 */

@Data
public class StrategyQueueInfo {
    private String queueName;

    private boolean isLeaf = false;

    private String queueClass; // Full path of StrategyQueue Class

    private List<MergeRule> rulesList;

    private Set<String> children;

    public StrategyQueueInfo(String name) {
        this.queueName = name;
        rulesList = new LinkedList<MergeRule>();
        children = new HashSet<String>();
    }

    public void addRule(MergeRule rule) {
        this.rulesList.add(rule);
    }

    public void addChild(String childName) {
        this.children.add(childName);
    }

}
